---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# 플러그인 Api

코르도바 api, 최소한의 세트와 함께 제공 하 고 프로젝트 추가 플러그인을 통해 필요한 어떤 추가 Api.

모든 기존 플러그인 [플러그인 레지스트리][1] 를 사용 하 여 검색할 수 있습니다..

 [1]: http://plugins.cordova.io/

코르 도우 바 플러그인의 전통적인 세트는 다음과 같습니다.

*   [배터리 상태][2]
    
    > 단말기의 배터리의 상태를 모니터링 합니다.

*   [카메라][3]
    
    > 사진을 단말기의 카메라를 사용 하 여 캡처.

*   [연락처][4]
    
    > 장치 연락처 데이터베이스와 함께 작동 합니다.

*   [장치][5]
    
    > 장치 특정 정보를 수집 합니다.

*   [장치 동작 (가 속도계)][6]
    
    > 소자의 모션 센서로 누릅니다.

*   [장치 방향 (나침반)][7]
    
    > 장치 가리키는 방향을 가져옵니다.

*   [대화 상자][8]
    
    > 시각적 장치 알림입니다.

*   [파일 시스템][9]
    
    > 자바 스크립트를 통해 기본 파일 시스템에 연결 합니다.

*   [파일 전송][10]
    
    > 자바 스크립트를 통해 기본 파일 시스템에 연결 합니다.

*   [지리적 위치][11]
    
    > 응용 프로그램 위치를 인식 하 게 합니다.

*   [세계화][12]
    
    > 로케일에 특정 개체의 표현을 가능 하 게 합니다.

*   [InAppBrowser][13]
    
    > 다른 응용 프로그램에서 브라우저 인스턴스에 Url을 시작 합니다.

*   [미디어][14]
    
    > 녹음 한 오디오 파일을 재생 합니다.

*   [미디어 캡처][15]
    
    > 장치의 미디어 캡처 응용 프로그램을 사용 하 여 미디어 파일을 캡처하십시오.

*   [네트워크 정보 (연결)][16]
    
    > 신속 하 게 네트워크 상태 및 셀룰러 네트워크 정보를 확인 합니다.

*   [Splashscreen][17]
    
    > 표시 및 응용 프로그램 시작 화면을 숨깁니다.

*   [진동][18]
    
    > 장치를 진동 하는 API.

 [2]: https://github.com/apache/cordova-plugin-battery-status/blob/master/doc/index.md
 [3]: https://github.com/apache/cordova-plugin-camera/blob/master/doc/index.md
 [4]: https://github.com/apache/cordova-plugin-contacts/blob/master/doc/index.md
 [5]: https://github.com/apache/cordova-plugin-device/blob/master/doc/index.md
 [6]: https://github.com/apache/cordova-plugin-device-motion/blob/master/doc/index.md
 [7]: https://github.com/apache/cordova-plugin-device-orientation/blob/master/doc/index.md
 [8]: https://github.com/apache/cordova-plugin-dialogs/blob/master/doc/index.md
 [9]: https://github.com/apache/cordova-plugin-file/blob/master/doc/index.md
 [10]: https://github.com/apache/cordova-plugin-file-transfer/blob/master/doc/index.md
 [11]: https://github.com/apache/cordova-plugin-geolocation/blob/master/doc/index.md
 [12]: https://github.com/apache/cordova-plugin-globalization/blob/master/doc/index.md
 [13]: https://github.com/apache/cordova-plugin-inappbrowser/blob/master/doc/index.md
 [14]: https://github.com/apache/cordova-plugin-media/blob/master/doc/index.md
 [15]: https://github.com/apache/cordova-plugin-media-capture/blob/master/doc/index.md
 [16]: https://github.com/apache/cordova-plugin-network-information/blob/master/doc/index.md
 [17]: https://github.com/apache/cordova-plugin-splashscreen/blob/master/doc/index.md
 [18]: https://github.com/apache/cordova-plugin-vibration/blob/master/doc/index.md

이러한 플러그인 워드 프로세서의 비 영어 번역 코르도바 설명서의 이전 버전을 보고 하 여 찾을 수 있습니다. 매우 상단 오른쪽에이 사이트의 드롭 다운 메뉴를 사용 하 여 버전을 전환할.
