---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Обновление BlackBerry

В этом руководстве показано, как изменить проекты BlackBerry при обновлении старых версий Cordova. Большинство этих инструкций применимы для проектов, созданных со старым набором средств командной строки, которые предшествуют утилите CLI `cordova`. Смотрите раздел "Интерфейс командной строки" для получения информации как обновить версию CLI.

## Обновление проектов 2.8.0 до 2.9.0

BlackBerry 10:

1.  Загрузите и распакуйте исходный код Cordova 2.9.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.9.0`.

2.  Закройте все запущенные инструменты SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженный выше исходный код, используя unix-терминал: Terminal.app, Bash, Cygwin и т.д.

4.  Создайте новый проект, как описано в "Руководство по инструментам BlackBerry". Это станет домашним каталогом вашего обновленного проекта.

5.  Скопировать исходный код вашего проекта из каталога `/www` старого проекта в каталог `/www` нового проекта.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

### BlackBerryOS/Playbook

1.  Загрузите и распакуйте исходный код Cordova 2.9.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.9.0`.

2.  Закройте все запущенные инструменты SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженный выше исходный код, используя unix-терминал: Terminal.app, Bash, Cygwin и т.д.

4.  Создайте новый проект, как описано в разделе "Руководство инструментов BlackBerry". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova.js` из нового проекта в папке `www` и удалите файл `www/cordova.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Скопируйте каталог `native` из нового проекта в существующий проект, перезаписывая старый каталог `native`.

8.  Скопируйте каталог `lib` из нового проекта в существующий проект, перезаписывая старый каталог `lib`.

9.  Скопируйте каталог `cordova` из нового проекта в существующий проект, перезаписывая старый каталог `cordova`.

## Обновление проектов 2.7.0 до 2.8.0

BlackBerry 10:

BlackBerry 10 использует новый инструмент CLI и управляет основными API как плагинами. Инструкции по миграции проекта в новый проект, а не обновление существующего проекта, в связи со сложностью обновления старого проекта. Также обратите внимание, что cordova js скрипт файл теперь называется «cordova.js» и больше не содержит строку версии.

1.  Загрузите и распакуйте исходный код Cordova 2.8.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.8.0`.

2.  Закройте все запущенные инструменты SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженный выше исходный код, используя unix-терминал: Terminal.app, Bash, Cygwin и т.д.

4.  Создайте новый проект, как описано в "Руководство по инструментам BlackBerry". Это станет домашним каталогом вашего обновленного проекта.

5.  Скопировать исходный код вашего проекта из каталога `/www` старого проекта в каталог `/www` нового проекта.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

BlackBerryOS/Playbook:

1.  Загрузите и распакуйте исходный код Cordova 2.8.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.8.0`.

2.  Закройте все запущенные инструменты SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженный выше исходный код, используя unix-терминал: Terminal.app, Bash, Cygwin и т.д.

4.  Создайте новый проект, как описано в разделе "Руководство инструментов BlackBerry". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova.js` из нового проекта в папке `www` и удалите файл `www/cordova.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Скопируйте каталог `native` из нового проекта в существующий проект, перезаписывая старый каталог `native`.

8.  Скопируйте каталог `lib` из нового проекта в существующий проект, перезаписывая старый каталог `lib`.

9.  Скопируйте каталог `cordova` из нового проекта в существующий проект, перезаписывая старый каталог `cordova`.

## Обновление проектов 2.6.0 до 2.7.0

1.  Загрузите и распакуйте исходный код Cordova 2.7.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.7.0`.

2.  Закройте все запущенные инструменты SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженный выше исходный код, используя unix-терминал: Terminal.app, Bash, Cygwin и т.д.

4.  Создайте новый проект, как описано в разделе "Руководство инструментов BlackBerry". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.7.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.6.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Скопируйте каталог `native` из нового проекта в существующий проект, перезаписывая старый каталог `native`.

8.  Скопируйте каталог `lib` из нового проекта в существующий проект, перезаписывая старый каталог `lib`.

9.  Скопируйте каталог `cordova` из нового проекта в существующий проект, перезаписывая старый каталог `cordova`.

## Обновление до 2.6.0 от 2.5.0

Обновление в каталог загрузки PhoneGap:

Рекомендуется, что вы скачать свежую копию всего каталога.

Однако здесь новые детали, необходимые для частичного обновления:

1.  Обновить файл cordova.blackberry.js в `Phonegap-2.6.0/lib/blackberry/javascript` каталог.

2.  Обновление `ext` , `ext-air` , и `ext-qnx` в `Phonegap-2.6.0/lib/blackberry/framework` каталог.

3.  Обновление `build.xml` файл в `Phonegap-2.6.0/lib/blackberry` каталог.

4.  Обновление `Phonegap-2.6.0/lib/blackberry/bin` каталог.

5.  Обновление `VERSION` файл в `Phonegap-2.6.0/lib/blackberry` каталог.

Обновление каталога `example/` или перенос существующего проекта:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Обновить содержимое `ext-qnx/` каталог.

5.  Скопируйте новый `cordova-2.6.0.js` в ваш проект.

6.  Обновить ваш HTML, чтобы использовать новый `cordova-2.6.0.js` файл.

## Обновление до 2.5.0 с 2.4.0

Обновление в каталог загрузки PhoneGap:

Рекомендуется, что вы скачать свежую копию всего каталога.

Однако здесь новые детали, необходимые для частичного обновления:

1.  Обновить файл cordova.blackberry.js в `Phonegap-2.5.0/lib/blackberry/javascript` каталог.

2.  Обновление `ext` , `ext-air` , и `ext-qnx` в `Phonegap-2.5.0/lib/blackberry/framework` каталог.

3.  Обновление `build.xml` файл в `Phonegap-2.5.0/lib/blackberry` каталог.

4.  Обновление `Phonegap-2.5.0/lib/blackberry/bin` каталог.

5.  Обновление `VERSION` файл в `Phonegap-2.5.0/lib/blackberry` каталог.

Обновление в примере / каталог или перенос существующего проекта:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Обновить содержимое `ext-qnx/` каталог.

5.  Скопируйте новый `cordova-2.5.0.js` в ваш проект.

6.  Обновить ваш HTML, чтобы использовать новый `cordova-2.5.0.js` файл.

## Обновление до 2.4.0 от 2.3.0

Обновление только `www` Каталог:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.4.0.js` в ваш проект.
    
    *   Если playbook, тогда обновите .js файл в каталоге `playbook/`.
    *   Если BlackBerry 10, затем обновить файл JS в `qnx/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.4.0.js` файл.

Обновление каталога sample (т.е., обновления с использованием инструментов ant):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.3.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.3.0/ext-air/` каталог.

4.  Обновить содержимое `cordova.2.3.0/ext-qnx/` каталог.

5.  Обновить файл .js в `cordova.2.3.0/javascript/` каталог.

6.  Открытые `sample/lib/` каталог и переименовать `cordova.2.3.0/` Каталог`cordova.2.4.0/`.

7.  Наберите `ant blackberry build` или `ant playbook build` чтобы обновить каталог `www` с обновленной версией Cordova.

8.  Откройте каталог `www` и обновить ваш HTML, чтобы использовать новый файл `cordova-2.4.0.js`.

## Обновление до 2.3.0 от 2.2.0

Обновление только `www` Каталог:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.3.0.js` в ваш проект.
    
    *   Если playbook, тогда обновите .js файл в каталоге `playbook/`.
    *   Если BlackBerry 10, затем обновить файл JS в `qnx/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.3.0.js` файл.

Обновление каталога sample (т.е., обновления с использованием инструментов ant):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.2.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.2.0/ext-air/` каталог.

4.  Обновить содержимое `cordova.2.2.0/ext-qnx/` каталог.

5.  Обновить файл .js в `cordova.2.2.0/javascript/` каталог.

6.  Открытые `sample/lib/` каталог и переименовать `cordova.2.2.0/` Каталог`cordova.2.3.0/`.

7.  Наберите `ant blackberry build` или `ant playbook build` чтобы обновить каталог `www` с обновленной версией Cordova.

8.  Откройте каталог `www` и обновить ваш HTML, чтобы использовать новый файл `cordova-2.3.0.js`.

## Обновление до 2.2.0 из 2.1.0

Обновление только каталог www:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.2.0.js` в ваш проект.
    
    *   Если playbook, тогда обновите .js файл в каталоге `playbook/`.
    *   Если BlackBerry 10, затем обновить файл JS в `qnx/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.2.0.js` файл.

Обновление каталога sample (т.е., обновления с использованием инструментов ant):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.1.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.1.0/ext-air/` каталог.

4.  Обновить содержимое `cordova.2.1.0/ext-qnx/` каталог.

5.  Обновить файл .js в `cordova.2.1.0/javascript/` каталог.

6.  Открытые `sample/lib/` каталог и переименовать `cordova.2.1.0/` Каталог`cordova.2.2.0/`.

7.  Наберите `ant blackberry build` или `ant playbook build` чтобы обновить каталог `www` с обновленной версией Cordova.

8.  Откройте каталог `www` и обновить ваш HTML, чтобы использовать новый файл `cordova-2.2.0.js`.

## Обновление до 2.1.0 с 2.0.0

Обновление только `www` Каталог:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.1.0.js` в ваш проект.
    
    *   Если playbook, тогда обновите .js файл в каталоге `playbook/`.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.1.0.js` файл.

Обновление каталога sample (т.е., обновления с использованием инструментов ant):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.0.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.0.0/ext-air/` каталог.

4.  Обновить файл .js в `cordova.2.0.0/javascript/` каталог.

5.  Открытые `sample/lib/` каталог и переименовать `cordova.2.0.0/` Каталог`cordova.2.1.0/`.

6.  Наберите `ant blackberry build` или `ant playbook build` чтобы обновить каталог `www` с обновленной версией Cordova.

7.  Откройте каталог `www` и обновить ваш HTML, чтобы использовать новый файл `cordova-2.1.0.js`.

## Обновление до 2.0.0 от 1.9.0

Обновление только `www` Каталог:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.0.0.js` в ваш проект.
    
    *   Если playbook, тогда обновите .js файл в каталоге `playbook/`.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.0.0.js` файл.

6.  Обновите файл `www/plugins.xml`. Два плагины изменили свои имена служб/пространства имен. Измените старые записи для плагинов Захвата и Контакты:
    
        <plugin name="Capture" value="org.apache.cordova.media.MediaCapture"/>
        <plugin name="Contact" value="org.apache.cordova.pim.Contact"/>
        
    На:
    
        <plugin name="Capture" value="org.apache.cordova.capture.MediaCapture"/>
        <plugin name="Contacts" value="org.apache.cordova.pim.Contact"/>
        

Обновление каталога sample (т.е., обновления с использованием инструментов ant):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.1.9.0/ext/` каталог.

3.  Обновить содержимое `cordova.1.9.0/ext-air/` каталог.

4.  Обновить файл .js в `cordova.1.9.0/javascript/` каталог.

5.  Открытые `sample/lib/` каталог и переименовать `cordova.1.9.0/` Каталог`cordova.2.0.0/`.

6.  Наберите `ant blackberry build` или `ant playbook build` чтобы обновить каталог `www` с обновленной версией Cordova.

7.  Откройте каталог `www` и обновить ваш HTML, чтобы использовать новый файл `cordova-2.0.0.js`.

8.  Откройте каталог `www` и обновите файл `www/plugins.xml`. Два плагины изменили свои имена служб/пространства имен. Измените старые записи для плагинов Захвата и Контакты:
    
         <plugin name="Capture" value="org.apache.cordova.media.MediaCapture"/>
        <plugin name="Contact" value="org.apache.cordova.pim.Contact"/>
        
    На:
    
         <plugin name="Capture" value="org.apache.cordova.capture.MediaCapture"/>
        <plugin name="Contacts" value="org.apache.cordova.pim.Contact"/>
        
*   Чтобы обновить до 1.8.0, перейдите от 1.7.0

## Обновление до 1.8.0 от 1.7.0

Обновление только `www` Каталог:

1.  Откройте каталог `www`, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-1.8.0.js` в ваш проект.
    
    *   Если playbook, тогда обновите .js файл в каталоге `playbook/`.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-1.8.0.js` файл.

6.  Обновите файл `www/plugins.xml`. Два плагины изменили свои имена служб/пространства имен. Измените старые записи для плагинов Захвата и Контакты:
    
        <plugin name="Capture" value="org.apache.cordova.media.MediaCapture"/>
        <plugin name="Contact" value="org.apache.cordova.pim.Contact"/>
        
    На:
    
        <plugin name="Capture" value="org.apache.cordova.capture.MediaCapture"/>
        <plugin name="Contacts" value="org.apache.cordova.pim.Contact"/>
        

Обновление каталога sample (т.е., обновления с использованием инструментов ant):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.1.7.0/ext/` каталог.

3.  Обновить содержимое `cordova.1.7.0/ext-air/` каталог.

4.  Обновить файл .js в `cordova.1.7.0/javascript/` каталог.

5.  Открытые `sample/lib/` каталог и переименовать `cordova.1.7.0/` Каталог`cordova.1.8.0/`.

6.  Наберите `ant blackberry build` или `ant playbook build` чтобы обновить каталог `www` с обновленной версией Cordova.

7.  Откройте каталог `www` и обновить ваш HTML, чтобы использовать новый файл `cordova-1.8.0.js`.

8.  Откройте каталог `www` и обновите файл `www/plugins.xml`. Два плагины изменили свои имена служб/пространства имен. Измените старые записи для плагинов Захвата и Контакты:
    
         <plugin name="Capture" value="org.apache.cordova.media.MediaCapture"/>
        <plugin name="Contact" value="org.apache.cordova.pim.Contact"/>
        
    На:
    
         <plugin name="Capture" value="org.apache.cordova.capture.MediaCapture"/>
        <plugin name="Contacts" value="org.apache.cordova.pim.Contact"/>