---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Обновление для iOS

В этом руководстве показано, как изменить проекты iOS для обновления старых версий Кордова. Большинство из этих инструкций применяются для проектов, созданных с старого набора средств командной строки, которые предшествуют `cordova` утилиты CLI. Смотрите раздел "Интерфейс командной строки" для получения информации как обновить версию CLI.

**Примечание**: требуется Xcode 6. В настоящее время чтобы опубликовать приложение в Apple App Store, вы должны использовать последнюю версию iOS SDK, на данный момент iOS 8 которая включается только с Xcode 6.

## Обновление проектов с 3.6.0 до 4.0.0

Для проектов-CLI выполните:

        bin/update путь/к/проекта
    

Для проектов CLI:

1.  Обновите версию `cordova` CLI. Смотрите "Интерфейс командной строки".

2.  Запустите `cordova platform update ios` в ваших проектах.

## Обновление проектов с 3.3.0 до 3.4.0

Для проектов-CLI выполните:

        bin/update путь/к/проекта
    

Для проектов CLI:

1.  Обновите версию `cordova` CLI. Смотрите "Интерфейс командной строки".

2.  Запуск`cordova platform update ios`

## Обновление проектов с 3.2.0 до 3.3.0

Для проектов-CLI выполните:

        bin/update путь/к/проекта
    

Для проектов CLI:

1.  Обновите версию `cordova` CLI. Смотрите "Интерфейс командной строки".

2.  Запуск`cordova platform update ios`

## Обновление проектов с 3.1.0 до 3.2.0

Для проектов-CLI выполните:

        bin/update путь/к/проекта
    

Для проектов CLI:

1.  Обновите версию `cordova` CLI. Смотрите "Интерфейс командной строки".

2.  Запуск`cordova platform update ios`

## Обновление проектов с 3.0.0 до 3.1.0

Для проектов-CLI выполните:

        bin/update путь/к/проекта
    

Для проектов CLI:

1.  Обновите версию `cordova` CLI. Смотрите "Интерфейс командной строки".

2.  Запуск`cordova platform update ios`

Проблемы iOS 7:

1.  Удалите `width=device-width, height=device-height` из содержащегося в файле `index.html` `viewport` `meta` тега. (См. [соответствующую ошибку][1].)

2.  Обновите ваши media, media-capture и splashscreen плагины для поддержки iOS 7.

 [1]: https://issues.apache.org/jira/browse/CB-4323

Проблемы Xcode 5:

1.  Обновите параметры проекта, если Xcode 5 предлагает вам сделать это (в Issues Navigator).

2.  Обновите настройки **Compiler for C/C++/Objective-C**, в вкладке **Build Settings**, раздел **Build Options**. Выберите **Default compiler (Apple LLVM 5.0)**.

## Обновление до CLI (3.0.0) с 2.9.0

1.  Создайте новый проект Apache Cordova 3.0.0 используя Cordova CLI, как описано в разделе "Интерфейс командной строки".

2.  Добавьте ваши платформы в проект Cordova, например: `cordova
platform add ios`.

3.  Скопируйте содержимое каталога `www` исходного проекта в каталог `www` в корне проекта cordova, который вы только что создали.

4.  Скопируйте или перезапишите любые платформо-специфичные ресурсы из вашего оригинального проекта (`Resources`, и т.д.), убедитесь что любые новые файлы добавлены в `.xcodeproj` проект. Проект iOS собирается в каталоге `platforms\ios`.

5.  Скопируйте файл `config.xml` в папку `www` и удалите определения любых плагинов. Измените настройки здесь, а не в каталоге платформы.

6.  Используйте Сordova CLI для установки необходимых вам плагинов. Обратите внимание что CLI интерпретирует все базовые APIs как плагины, так что они тоже должны быть добавлены. Только плагины для версии 3.0.0 поддерживаются CLI.

7.  Построение и тестирование.

## Обновление проектов с 2.9.0 до 3.0.0

1.  Загрузите и распакуйте исходный код Cordova 3.0.0 в постоянное место на вашем жестком диске, например в `~/Cordova-3.0.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Копия `www/cordova.js` (Обратите внимание, что он не имеет суффикса версии больше, версия в сам файл в заголовке) файл из нового проекта в `www` каталог и удалить `www/cordova.js` файл.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

**Примечание**: начиная с Cordova 3.0.0, плагины изначально не установлены плагины, и вам нужно использовать утилиту командной строки `plugman` для их установки. Смотрите раздел "Использование Plugman для управления расширениями".

## Обновление проектов 2.8.0 до 2.9.0

1.  Загрузите и распакуйте исходный код Cordova 2.9.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.9.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Копия `www/cordova.js` (Обратите внимание, что он не имеет суффикса версии больше, версия в сам файл в заголовке) файл из нового проекта в `www` каталог и удалить `www/cordova.js` файл.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

## Обновление проектов 2.7.0 до 2.8.0

1.  Загрузите и распакуйте исходный код Cordova 2.8.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.8.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova.js` (Обратите внимание, что он больше не имеет суффикса версии, версия в самом заголовке файла) из нового проекта в папку `www` и удалить файл `www/cordova-2.7.0.js` .

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Обновите любые теги `<plugin>` в файле `config.xml` на теги `<feature>`. Обратите внимание, что существующие теги `<plugin>` по-прежнему будут работать, но являются устаревшими. Вы можете скопировать эту информацию в файл `config.xml` для нового проекта. Например:
    
        <plugins>
            <plugin name="LocalStorage" value="CDVLocalStorage" />
            <!-- other plugins -->
        </plugins>
        
        <!-- change to: (note that a <feature> tag is on the same level as <plugins> -->
        <feature name="LocalStorage">
            <param name="ios-package" value="CDVLocalStorage" />
        </feature>
        <!-- other <feature> tags -->
        
8.  Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

9.  Добавьте эти два фреймворка в проект:
    
        OpenAL
        ImageIO
        
10. Обновите для цели построения вашего проекта **Build Settings**. В разделе **Linking → Other Linker Flags**, измените **"-Obj-C"** на **"-ObjC"**.

11. Обновите для цели построения вашего проекта **Build Settings**. В разделе **Linking → Other Linker Flags**, измените **"-all_load"** на `-force\_load ${BUILT\_PRODUCTS\_DIR}/libCordova.a`. Вам только нужно будет это сделать, если у вас есть проблемы, определенные в [этом запросе.][2].

 [2]: https://issues.apache.org/jira/browse/CB-3458

## Обновление проектов 2.6.0 до 2.7.0

1.  Загрузите и распакуйте исходный код Cordova 2.7.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.7.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.7.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.6.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `AppDelegate.m` в соотвествии такому же файлу из нового проекта (см. [этот diff][3]).

8.  В файле `config.xml`, [удалите эту строку][4].

9.  Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

 [3]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/Classes/AppDelegate.m;h=5c05ac80e056753c0e8736f887ba9f28d5b0774c;hp=623ad8ec3c46f656ea18c6c3a190d650dd64e479;hb=c6e71147386d4ad94b07428952d1aae0a9cbf3f5;hpb=c017fda8af00375a453cf27cfc488647972e9a23
 [4]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=537705d76a5ef6bc5e57a8ebfcab78c02bb4110b;hp=8889726d9a8f8c530fe1371c56d858c34552992a;hb=064239b7b5fa9a867144cf1ee8b2fb798ce1f988;hpb=c9f233250d4b800f3412eeded811daaafb17b2cc

## Обновление проектов 2.5.0 до 2.6.0

1.  Загрузите и распакуйте исходный код Cordova 2.6.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.6.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.6.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.5.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.6.0.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `AppDelegate.m` в соотвествии такому же файлу из нового проекта (см. [этот diff][5]).

8.  В файле `config.xml`, [добавьте эту новую строку][6].

9.  В файле `config.xml`, [добавьте эту новую строку][7].

10. В файле `config.xml`, [UIWebViewBounce был изменен на DisallowOverscroll, и значения по умолчанию отличаются][8].

11. В файле `config.xml` параметр `EnableLocation` является устаревшим.

12. Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

 [5]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/Classes/AppDelegate.m;h=124a56bb4f361e95616f44d6d6f5a96ffa439b60;hp=318f79326176be8f16ebc93bad85dd745f4205b6;hb=a28c7712810a63396e9f32fa4eb94fe3f8b93985;hpb=36acdf55e4cab52802d73764c8a4b5b42cf18ef9
 [6]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=1555b5e81de326a07efe0bccaa5f5e2326b07a9a;hp=0652d60f8d35ac13c825c572dca6ed01fea4a540;hb=95f16a6dc252db0299b8e2bb53797995b1e39aa1;hpb=a2de90b8f5f5f68bd9520bcbbb9afa3ac409b96d
 [7]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=d307827b7e67301171a913417fb10003d43ce39d;hp=04260aa9786d6d74ab20a07c86d7e8b34e31968c;hb=97b89edfae3527828c0ca6bb2f6d58d9ded95188;hpb=942d33c8e7174a5766029ea1232ba2e0df745c3f
 [8]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=8889726d9a8f8c530fe1371c56d858c34552992a;hp=d307827b7e67301171a913417fb10003d43ce39d;hb=57982de638a4dce6ae130a26662591741b065f00;hpb=ec411f18309d577b4debefd9a2f085ba719701d5

## Обновление проектов 2.4.0 до 2.5.0

1.  Загрузите и распакуйте исходный код Cordova 2.5.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.5.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.5.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.4.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.5.0.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `AppDelegate.m` в соотвествии такому же файлу из нового проекта (см. [этот diff][9]).

8.  В файле `config.xml`, [добавьте эту строки][10].

9.  В файле `config.xml` , [измените корневой элемент, изменить его с cordova на widget][11].

10. В файле `config.xml`, [удалите параметры OpenAllWhitelistURLsInWebView][12].

11. Удалить каталог `cordova` и скопируйте каталог `cordova` из нового проекта в корневой каталог вашего проекта. В 2.5.0 это обновит скрипты.

12. Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

 [9]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/Classes/AppDelegate.m;h=318f79326176be8f16ebc93bad85dd745f4205b6;hp=6dc7bfc84f0ecede4cc43d2a3256ef7c5383b9fe;hb=4001ae13fcb1fcbe73168327630fbc0ce44703d0;hpb=299a324e8c30065fc4511c1fe59c6515d4842f09
 [10]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=903944c4b1e58575295c820e154be2f5f09e6314;hp=721c734120b13004a4a543ee25f4287e541f34be;hb=ae467249b4a256bd31ee89aea7a06f4f2316b8ac;hpb=9e39f7ef8096fb15b38121ab0e245a3a958d9cbb
 [11]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=64e71636f5dd79fa0978a97b9ff5aa3860a493f5;hp=d8579352dfb21c14e5748e09b2cf3f4396450163;hb=0e711f8d09377a7ac10ff6be4ec17d22cdbee88d;hpb=57c3c082ed9be41c0588d0d63a1d2bfcd2ed878c
 [12]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=721c734120b13004a4a543ee25f4287e541f34be;hp=7d67508b70914aa921a16e79f79c00512502a8b6;hb=187bf21b308551bfb4b98b1a5e11edf04f699791;hpb=03b8854bdf039bcefbe0212db937abd81ac675e4

## Обновление проектов 2.3.0 до 2.4.0

1.  Загрузите и распакуйте исходный код Cordova 2.4.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.4.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.4.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.3.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.4.0.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `MainViewController.m` в соотвествии такому же файлу из нового проекта (см. [этот diff][13]).

8.  Обновите (или замените, если вы никогда не изменяли файл) файл `AppDelegate.m` в соотвествии такому же файлу из нового проекта (см. [этот diff][14]).

9.  В файле `config.xml`, [добавьте эту новую строку][15].

10. Удалить каталог `cordova` и скопируйте каталог `cordova` из нового проекта в корневой каталог вашего проекта. В 2.4.0 это обновит скрипты.

11. Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

12. Добавьте AssetsLibrary.framework как ресурс в ваш проект. (См. [документацию Apple][16] для получения инструкций о том, как это сделать.).

 [13]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/Classes/MainViewController.m;h=5f9eeac15c2437cd02a6eb5835b48374e9b94100;hp=89da1082d06ba5e5d0dffc5b2e75a3a06d5c2aa6;hb=b4a2e4ae0445ba7aec788090dce9b822d67edfd8;hpb=a484850f4610e73c7b20cd429a7794ba829ec997
 [14]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/Classes/AppDelegate.m;h=6dc7bfc84f0ecede4cc43d2a3256ef7c5383b9fe;hp=1ca3dafeb354c4442b7e149da4f281675aa6b740;hb=6749c17640c5fed8a7d3a0b9cca204b89a855baa;hpb=deabeeb6fcb35bac9360b053c8bf902b45e6de4d
 [15]: https://git-wip-us.apache.org/repos/asf?p=cordova-ios.git;a=blobdiff;f=bin/templates/project/__TESTING__/config.xml;h=7d67508b70914aa921a16e79f79c00512502a8b6;hp=337d38da6f40c7432b0bce05aa3281d797eec40a;hb=6749c17640c5fed8a7d3a0b9cca204b89a855baa;hpb=deabeeb6fcb35bac9360b053c8bf902b45e6de4d
 [16]: https://developer.apple.com/library/ios/#recipes/xcode_help-project_editor/Articles/AddingaLibrarytoaTarget.html

## Обновление проектов 2.2.0 до 2.3.0

1.  Загрузите и распакуйте исходный код Cordova 2.3.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.3.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.3.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.2.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.3.0.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `MainViewController.m` в соотвествии такому же файлу из нового проекта.

8.  Удалить каталог `cordova` и скопируйте каталог `cordova` из нового проекта в корневой каталог вашего проекта. В 2.3.0 это обновит скрипты.

9.  Удалить `CordovaLib` каталог и копию `CordovaLib` каталог из нового проекта в корневой директории вашего проекта.

10. Преобразуйте файл `Cordova.plist` в файл `config.xml`, запустив сценарий `bin/cordova\_plist\_to\_config\_xml` на вашем файле проекта.

11. Добавьте плагин InAppBrowser в `config.xml`, путем добавления этого тега в `cordova>< plugins><`:
    
        <plugin name="InAppBrowser" value="CDVInAppBrowser" />
        
12. Обратите внимание, что плагины Objective-C, более *не* whitelisted. Чтобы разрешить ваши соединения с помощью списка разрешенных ресурсов приложение, вам нужно задать заголовок `User-Agent` для соединения таким же как пользовательский агент у основного Cordova WebView. Вы можете получить это, обратившись к свойство `userAgent` основного контроллера представления. Основной контроллер представления (`CDVViewController`) также имеет метод `URLisAllowed` который позволяет вам проверить, прошел ли URL-адрес ограничения списка разрешенных ресурсов.

13. Изменения API устройства:
    
    *   Для iOS, device.platform использовалась для возвращения `iPhone`, `iPad` или `iPod Touch`; Теперь она возвращает (правильно) `iOS`.
    *   Для iOS, device.name (являющееся устаревшим для всех платформ) используется для возвращения имени устройства пользователя (например, ‘Shazron’s iPhone 5′); сейчас это свойство возвращает тоже что должен возвращать device.platform: `iPhone`, `iPad` или `iPod Touch`.
    *   Для всех платформ, существует новое свойство под названием device.model; оно возвращает определенную модель устройства , например `iPad2,5` (для других платформ, это свойство возвращает то что должно возвращать свойство device.name).

## Обновление проектов 2.1.0 до 2.2.0

1.  Загрузите и распакуйте исходный код Cordova 2.2.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.2.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.2.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.1.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.2.0.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `MainViewController.m` в соотвествии такому же файлу из нового проекта:
    
    *   Updated → viewWillAppear

8.  Скопируйте каталог `cordova` из нового проекта в корневую папку вашего проекта. В 2.2.0 она имеет обновленный сценарий 'emulate'.

9.  Далее обновите ссылку проекта `CordovaLib` . Начиная с Cordova 2.1.0, мы не используем больше переменную Xcode CORDOVALIB для указания где находится `CordovaLib` , ссылка теперь является абсолютной ссылкой.
    
    1.  Запустите Terminal.app
    2.  Перейдите к папке, где установлена Cordova (см. шаг 1), в подкаталог `bin`
    3.  Запустите сценарий указанный ниже, где первым параметром является путь к файлу проекта `.xcodeproj` :
        
        `update_cordova_subproject path/to/your/project/xcodeproj`

**Примечание**: В 2.2.0, сценарий `bin/create` копирует в подпапку `CordovaLib` проекта. Чтобы иметь тот же тип установки, просто скопируйте корректный `CordovaLib` в каталог проекта и обновить местоположение проекта `CordovaLib` (относительно проекта) в инспекторе файлов Xcode.

## Обновление проектов 2.0.0 до 2.1.0

С Cordova 2.1.0 проект `CordovaLib` был обновлен для использования **Автоматического подсчета ссылок (ARC)**. Вам не нужно обновление до **ARC** для использования CordovaLib, но если вы хотите обновить проект для использования **ARC**, пожалуйста используйте мастер миграции Xcode из меню: **Edit → Refactor → Convert to Objective-C ARC...**, снимите флажок libCordova.a, а затем запустите мастер для завершения.

1.  Загрузите и распакуйте исходный код Cordova 2.1.0 в постоянное место на вашем жестком диске, например в `~/Cordova-2.1.0`.

2.  Если оно выполняется, закройте Xcode.

3.  С помощью Terminal.app, перейдите в каталог, где вы положили загруженных исходных выше.

4.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

5.  Скопируйте файл `www/cordova-2.1.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-2.0.0.js`.

6.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.1.0.js`.

7.  Обновите (или замените, если вы никогда не изменяли файл) файл `AppDelegate.m` в соотвествии такому же файлу из нового проекта:
    
    *   Edited → application:didFinishLaunchingWithOptions:
    *   Added → application:supportedInterfaceOrientationsForWindow:

8.  Обновите (или замените, если вы никогда не изменяли файл) файл `MainViewController.m` в соотвествии такому же файлу из нового проекта:
    
    *   Added → viewWillAppear

9.  Скопируйте каталог `cordova` из нового проекта в корневой директории вашего проекта. В 2.1.0 этот каталог содержит обновленные скрипты для поддержки пути с пробелами.

10. Удалите ссылки на файл `VERSION` файл из проекта (*не* тот который расположен в `CordovaLib`).

11. Далее обновите ссылку проекта `CordovaLib` . Начиная с Cordova 2.1.0, мы не используем больше переменную Xcode CORDOVALIB для указания где находится `CordovaLib` , ссылка теперь является абсолютной ссылкой.
    
    1.  Запустите Terminal.app
    2.  Перейдите к папке, где установлена Cordova (см. шаг 1), в подкаталог `bin`
    3.  Запустите сценарий указанный ниже, где первым параметром является путь к файлу проекта `.xcodeproj` :
        
        `update_cordova_subproject path/to/your/project/xcodeproj`

## Обновление проектов с 1.9.0 до 2.0.0

1.  Установите Cordova 2.0.0.

2.  Создайте новый проект, как описано в разделе "Руководство по инструментам командной строки iOS". Вам нужны будут ресурсы из нового проекта.

3.  Скопируйте файл `www/cordova-2.0.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-1.9.0.js`.

4.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-2.0.0.js`.

5.  Скопируйте каталог `cordova` из нового проекта в корневой каталог вашего проекта (если вы хотите средства командной строки для проекта).

6.  Добавьте новую запись в разделе `Plugins` в файле `Cordova.plist` , в группе **Supporting Files** . Ключ `Device` и значение `CDVDevice`.

7.  Удалите `Cordova.framework`.

8.  Удалите `verify.sh` из группы **Supporting Files** .

9.  Выберите значок проекта в Project Navigator, выберите **Target** для проекта, а затем выберите вкладку **Build Settings** .

10. Найдите **Preprocessor Macros**, затем удалите все значения **CORDOVA_FRAMEWORK=1**.

11. Найдите каталог `CordovaLib`, который был установлен на ваш жесткий диск, в поддиректории `Documents` в вашей домашней папке.

12. Найдите файл `CordovaLib.xcodeproj` в папке `CordovaLib` , а затем перетащите этот файл в ваш проект. Он должен отображаться как подпроект.

13. Постройте ваш проект, вы должны получить некоторые ошибки, связанные с директивой `#import` .

14. Для ошибок `#import` измените любой импорт в двойных кавычках в следующем стиле:
    
        #import "CDV.h"
        
    в стиль, основанный на скобках:
    
        #import <Cordova/CDV.h>
        
    и удалите любые `#ifdef` обертки вокруг любого импорта Cordova, они больше не нужны (импорты теперь унифицированы)

15. Снова соберите свой проект, и он более не должен иметь каких-либо ошибок `#import` .

16. Выберите **значок проекта** в Project Navigator, выберите **Target** проекта, а затем выберите вкладку **Build Phases** .

17. Разверните фазу **Target Dependencies**, а затем выберите **+** кнопку.

18. Выберите цель `CordovaLib` , а затем выберите кнопку **Add** .

19. Разверните первый этап **Link Binary with Libraries** (он уже должен содержать кучу фреймворков), а затем выберите кнопку **+**.

20. Выберите статическую библиотеку `libCordova.a` , а затем выберите кнопку **Add** .

21. Удалите фазу **Run Script** .

22. Выберите **значок проекта** в Project Navigator, выберите **Target** проекта, а затем выберите вкладку **Build Phases**.

23. Найдите **Other Linker Flags** и добавьте значения **-force_load** **-Obj-С**.

24. Разверните `CordovaLib` под-проект.

25. Найдите файл `VERSION`, перетащите ее в ваш основной проект (мы хотим создать ссылку на него, не копию).

26. Выберите переключатель **Create groups for any added folders**, а затем выберите кнопку **Finish**.

27. Выберите файл `VERSION`, который вы только что перетащили на предыдущем шаге.

28. Нажмите сочетание клавиш **Option-Command-1**, чтобы показать **File Inspector** (или пункт меню **View → Utilities → Show File Inspector**).

29. Выбрать **Relative to CORDOVALIB** в **File Inspector** для раскрывающегося меню для **Location**.

30. Xcode предпочтения **Xcode Preferences → Locations → Derived Data → Advanced...** можно присвоить **Unique**, так что унифицированные заголовки можно будет найти.

31. Выберите **значок проекта** в Project Navigator, выберите **Target** проекта, а затем выберите вкладку **Build Phases**.

32. Найдите **Header Search Paths**. Для этого параметра, добавьте эти три значения, включая кавычки:
    
        "$(TARGET_BUILD_DIR)/usr/local/lib/include"
        
        "$(OBJROOT)/UninstalledProducts/include"
        
        "$(BUILT_PRODUCTS_DIR)"
        
33. Найдите **Other Linker Flags**. Для этого параметра, добавьте это значение:
    
        -weak_framework CoreFoundation
        
34. Постройте свой проект, это должно скомпилировать и связать **без** вопросов.

35. Выберите проект в раскрывающемся списке **Scheme** , а затем выберите **iPhone 5.1 Simulator**.

36. Выберите кнопку **Run** .

**Примечание**: Если ваш проект не работает как ожидалось в симуляторе, пожалуйста обратите внимание на любые ошибки в журнале консоли Xcode для подсказки.

## Обновление проектов 1.8.x до 1.9.0

1.  Установите Cordova 1.9.0.

2.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

3.  Скопируйте файл `www/cordova-1.9.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-1.8.x.js`.

4.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-1.9.0.js`.

**Примечание**: 1.9.0 поддерживает новый boolean параметр `Cordova.plist` `BackupWebStorage` . Он включен по умолчанию, поэтому установите его в `значение false,` чтобы отключить его, особенно на iOS 6. Смотреть [Release Notes: Safari and UIKit Section][17]

 [17]: https://developer.apple.com/library/prerelease/ios/#releasenotes/General/RN-iOSSDK-6_0/_index.html

## Обновление проектов 1.7.0 до 1.8.x

1.  Установите Cordova 1.8.0.

2.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

3.  Скопируйте файл `www/cordova-1.8.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-1.7.x.js`.

4.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-1.8.0.js`.

Если вы собираетесь использовать Capture API, вам понадобится новые ресурсы для **iPad с retina дисплеем**:

1.  Скопируйте элемент `Resources/Capture.bundle` из нового проекта в каталог проекта, перезапишите ваш существующий элемент `Resources/Capture.bundle` .

2.  В вашем проекте выберите пункт `Capture.bundle` в навигаторе проекта в Xcode, нажмите клавишу **Delete**, а затем выберите **Remove Reference** в появившемся диалоговом окне.

3.  Перетащите новый `Capture.bundle` из шага 1 выше, в навигаторе проекта в Xcode, а затем выберите переключатель **Create groups for any added folders** .

## Обновление проектов 1.6.x до 1.7.0

1.  Установите Cordova 1.7.0.

2.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

3.  Скопируйте файл `www/cordova-1.7.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-1.6.0.js`.

4.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-1.7.0.js`.

## Обновление проектов 1.5.0 до 1.6.x

1.  Установите Cordova 1.6.1.

2.  Сделайте резервную копию файлов `AppDelegate.m`, `AppDelegate.h`, `MainViewController.m`, `MainViewController.h` и `Cordova.plist` в вашем проекте.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте эти файлы из нового проекта в папке проекта 1.5.0 на диске, заменив старые файлы (сперва сделайте резервное копирование файлов из шага 2 указанного выше):
    
        AppDelegate.h
        AppDelegate.m
        MainViewController.h
        MainViewController.m
        Cordova.plist
        
5.  Добавьте в свой проект Xcode все новые файлы `MainViewController` и `AppDelegate` .

6.  Скопируйте файл `www/cordova-1.6.0.js` из нового проекта в папке `www` и удалите файл `www/cordova-1.5.0.js`.

7.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-1.6.1.js`.

8.  Добавьте в проект новый файл `Cordova.plist` . Это необходимо потому, что имена основных служб плагинов должны измениться, чтобы соответствовать тем же службам в Android и BlackBerry, для единого файла Cordova JavaScript (`cordova-js`).

9.  Интегрируйте любые настройки, записи **Plugins** и **ExternalHosts**, которые вы имели в вашем **резервном Cordova.plist** в новый `Cordova.plist`.

10. Интегрируйте любой код уникальный для конкретного проекта, который вы сохранили в резервной копии `AppDelegate.h` и `AppDelegate.m` в новые файлы `AppDelegate` . Любой код `UIWebViewDelegate` или `CDVCommandDelegate` в `AppDelegate.m` должен уйти в `MainViewController.m` (см. закомментированные разделы в этом файле).

11. Интегрируйте любой код уникальный для конкретного проекта, который вы сохранили в резервной копии `MainViewController.h` и `MainViewController.m` в новые файлы MainViewController.

12. Нажмите на значок проекта в диспетчере структуры проекта, выберите **Project**, а затем выберите вкладку **Build Settings** .

13. Введите **Compiler for C/C++/Objective-C** в поле поиска.

14. Выберите значение **Apple LLVM Compiler 3.1** .

## Обновление проектов 1.4.x до 1.5.0

1.  Установите Cordova 1.5.0.

2.  Создайте новый проект и запустите его один раз. Вам понадобится некоторые из активов от этого нового проекта.

3.  Скопируйте файл `www/cordova-1.5.0.js` из нового проекта в папке `www` и удалите файл `www/phonegap-1.4.x.js`.

4.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `cordova-1.5.0.js`.

5.  Найти `PhoneGap.framework` в вашем навигаторе проекта, выберите его.

6.  Нажмите кнопку **Delete** и удалить ссылку на `PhoneGap.framework` в диспетчере структуры проекта.

7.  Введите сочетание клавиш **Option-Command-A**, это должно открыть выпадающий список для добавления файлов в проект (лист **Add Files...** ). Убедитесь, что выбран переключатель **Created groups for any added folders** .

8.  Введите сочетание клавиш **Command-Shift-G** , которая должна открыть другой выпадающий список для вас, чтобы перейти к папке (**Go to the folder:** лист).

9.  Введите `/Users/Shared/Cordova/Frameworks/Cordova.framework` в **Go to the folder:** лист, а затем нажмите кнопку **Go** .

10. Нажмите на кнопку **Add** в окне **Add Files...** .

11. Выберите `Cordova.framework` в диспетчере структуры проекта.

12. Введите сочетание клавиш **Option-Command-1** , чтобы открыть **File Inspector**.

13. Выберите **Absolute Path** в **File Inspector** для раскрывающегося меню в **Location**.

14. Введите сочетание клавиш **Option-Command-A**, это должно открыть выпадающий список для добавления файлов в проект (лист **Add Files...** ). Убедитесь, что выбран переключатель **Created groups for any added folders** .

15. Введите сочетание клавиш **Command-Shift-G** , которая должна открыть другой выпадающий список для вас, чтобы перейти к папке (**Go to the folder:** лист).

16. Введите `~/Documents/CordovaLib/Classes/deprecated` в окне **Go to the folder:**, а затем нажмите кнопку **Go** .

17. Нажмите на кнопку **Add** в окне **Add Files...**.

18. В файлах `AppDelegate.h`, `AppDelegate.m`и `MainViewController.h` замените весь блок `#ifdef PHONEGAP_FRAMEWORK` на:
    
        #import "CDVDeprecated.h"
        
19. Выберите **значок проекта** в Project Navigator, выберите **Target** проекта, а затем выберите вкладку **Build Phases**.

20. Найдите **Framework Search Paths**.

21. Замените существующее значение на `/Users/Shared/Cordova/Frameworks`.

22. Найдите **Preprocessor Macros**.

23. Для первого (комбинированного) значения, замените значение на **CORDOVA_FRAMEWORK=YES**.

24. Выберите вкладку **Build Phases** .

25. Разверните узел **Run Script**.

26. Замените все вхождения **PhoneGap** на **Cordova**.

27. Найдите файл `PhoneGap.plist` в диспетчере структуры проекта и щелкните на имени файла, для того, чтобы войти в режим редактирования имени.

28. Переименуйте `PhoneGap.plist` в `Cordova.plist`.

29. Щелкните правой кнопкой мыши `Cordova.plist` и выберите **Open As → Source Code**.

30. Нажмите **Option-Command-F**, выберите **Replace** из раскрывающегося списка в верхней левой части окна исходного кода.

31. Введите `com.phonegap` для строки поиска и `org.apache.cordova` для строки замены, а затем нажмите кнопку **Replace All** .

32. Введите **PG** для строки поиска и **CDV** для строки замены, а затем нажмите кнопку **Replace All** .

33. Нажмите **Command-B**, для построения. У вас до сих пор остались устаревшие коды от которых вы можете избавиться в будущем (см. `CDVDeprecated.h`. К примеру, заменить классы в коде, использующие PG* на CDV*).

## Обновление проектов 1.4.0 до 1.4.1

1.  Установите Cordova 1.4.1.

2.  Сделайте резервную копию `MainViewController.m`.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте файл `MainViewController.m` из нового проекта в каталог проекта 1.4.0на диске, заменив старый файл (сперва сделайте резервное копирования ваших файлов из шага 2 указанного выше).

5.  Добавьте файл `MainViewController.m` в ваш проект Xcode.

6.  Интегрируйте любой код уникальный для конкретного проекта, который вы сохранили в резервной копии `MainViewController.m` в новый файл.

7.  Обновление файла `phonegap-1.4.0.js` является необязательным, в JavaScript между 1.4.0 и 1.4.1 ничего не изменилось.

## Обновление проектов с 1.3.0 до 1.4.0

1.  Установите Cordova 1.4.0.

2.  Сделайте резервную копию `AppDelegate.m` и `AppDelegate.h` в вашем проекте.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте эти файлы из нового проекта в папке проекта 1.3.0 на диске, заменив старые файлы (сперва сделайте резервное копирование файлов из шага 2 указанного выше):
    
        AppDelegate.h
        AppDelegate.m
        MainViewController.h
        MainViewController.m
        MainViewController.xib
        
5.  Добавьте файл `MainViewController.m` в ваш проект Xcode.

6.  Скопируйте файл `www/phonegap-1.4.0.js` из нового проекта в папке `www` и удалите файл `www/phonegap-1.3.0.js`.

7.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `phonegap-1.4.0.js`.

8.  Добавьте новую запись под `Plugins` в `PhoneGap.plist` файл. Ключ `com.phonegap.battery` и значение`PGBattery`.

9.  Интегрировать любой код конкретного проекта, у вас есть в вашей резервной копии `AppDelegate.h` и `AppDelegate.m` в новой AppDelegate файлы.

## Обновление проектов с 1.2.0 до 1.3.0

1.  Установите Cordova 1.3.0.

2.  Сделайте резервную копию `AppDelegate.m` и `AppDelegate.h` в вашем проекте.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте эти файлы из нового проекта в папке проекта 1.2.0 на диске, заменив старые файлы (сперва сделайте резервное копирование файлов из шага 2 указанного выше):
    
        AppDelegate.h
        AppDelegate.m
        MainViewController.h
        MainViewController.m
        MainViewController.xib
        
5.  Добавьте файл `MainViewController.m` в ваш проект Xcode.

6.  Скопируйте файл `www/phonegap-1.3.0.js` из нового проекта в папке `www` и удалите файл `www/phonegap-1.2.0.js`.

7.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `phonegap-1.3.0.js`.

8.  Добавьте новую запись под `Plugins` в `PhoneGap.plist` файл. Ключ `com.phonegap.battery` и значение`PGBattery`.

9.  Интегрировать любой код конкретного проекта, у вас есть в вашей резервной копии `AppDelegate.h` и `AppDelegate.m` в новой AppDelegate файлы.

## Обновление проектов с 1.1.0 до 1.2.0

1.  Установите Cordova 1.2.0.

2.  Сделайте резервную копию `AppDelegate.m` и `AppDelegate.h` в вашем проекте.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте эти файлы из нового проекта в папке проекта 1.1.0 на диске, заменив старые файлы (сперва сделайте резервное копирование файлов из шага 2 указанного выше):
    
        AppDelegate.h
        AppDelegate.m
        MainViewController.h
        MainViewController.m
        MainViewController.xib
        
5.  Добавьте файл `MainViewController.m` в ваш проект Xcode.

6.  Скопируйте файл `www/phonegap-1.2.0.js` из нового проекта в папке `www` и удалите файл `www/phonegap-1.1.0.js`.

7.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `phonegap-1.2.0.js`.

8.  Добавьте новую запись под `Plugins` в `PhoneGap.plist` файл. Ключ `com.phonegap.battery` и значение`PGBattery`.

9.  Интегрировать любой код конкретного проекта, у вас есть в вашей резервной копии `AppDelegate.h` и `AppDelegate.m` в новой AppDelegate файлы.

## Обновление проектов с 1.0.0 до 1.1.0

1.  Установите Cordova 1.1.0.

2.  Сделайте резервную копию `AppDelegate.m` и `AppDelegate.h` в вашем проекте.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте эти файлы из нового проекта в папке проекта 1.0.0 на диске, заменив старые файлы (сперва сделайте резервное копирование файлов из шага 2 указанного выше):
    
        AppDelegate.h
        AppDelegate.m
        MainViewController.h
        MainViewController.m
        MainViewController.xib
        
5.  Добавьте файл `MainViewController.m` в ваш проект Xcode.

6.  Скопируйте файл `www/phonegap-1.1.0.js` из нового проекта в папке `www` и удалите файл `www/phonegap-1.0.0.js`.

7.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `phonegap-1.1.0.js`.

8.  Добавьте новую запись под `Plugins` в `PhoneGap.plist` файл. Ключ `com.phonegap.battery` и значение`PGBattery`.

9.  Интегрировать любой код конкретного проекта, у вас есть в вашей резервной копии `AppDelegate.h` и `AppDelegate.m` в новой AppDelegate файлы.

## Обновление проектов с 0.9.6 до 1.0.0

1.  Установите Cordova 1.0.0.

2.  Сделайте резервную копию `AppDelegate.m` и `AppDelegate.h` в вашем проекте.

3.  Создайте новый проект. Вам понадобится некоторые из активов от этого нового проекта.

4.  Скопируйте эти файлы из нового проекта в папке проекта 0.9.6 на диске, заменив старые файлы (сперва сделайте резервное копирование файлов из шага 2 указанного выше):
    
        AppDelegate.h
        AppDelegate.m
        MainViewController.h
        MainViewController.m
        MainViewController.xib
        
5.  Добавьте файл `MainViewController.m` в ваш проект Xcode.

6.  Скопируйте файл `www/phonegap-1.0.0.js` из нового проекта в папке `www` и удалите файл `www/phonegap-0.9.6.js`.

7.  Обновите ссылку на скрипт Cordova в `www/index.html` (и любом другом файле который содержит элемент script) чтобы он указывал на новую версию файла `phonegap-1.0.0.js`.

8.  Добавьте новую запись под `Plugins` в `PhoneGap.plist` файл. Ключ `com.phonegap.battery` и значение`PGBattery`.

9.  Интегрировать любой код конкретного проекта, у вас есть в вашей резервной копии `AppDelegate.h` и `AppDelegate.m` в новой AppDelegate файлы.